<div class="row">
    <div class="column col-6">
        <?php $fastwp_sima_client = get_post_meta( get_the_ID(), 'project_client', true );
        $fastwp_sima_date = get_post_meta( get_the_ID(), 'project_date', true );
        $fastwp_sima_author = get_post_meta( get_the_ID(), 'project_author', true );
        if( !empty( $fastwp_sima_client ) || !empty( $fastwp_sima_date ) || !empty( $fastwp_sima_author ) ) { ?>
    	<h5><?php echo esc_html__( 'project details', 'sima' ); ?></h5>
    	<ul class="project__details">
            <?php if( !empty( $fastwp_sima_client ) ) { ?>
    		<li>
    			<span class="details__title"><?php echo esc_html__( 'client', 'sima' ); ?></span>
    			<span class="details__desc"><?php echo esc_html( $fastwp_sima_client ); ?></span>
    		</li>
            <?php }
            if( !empty( $fastwp_sima_date ) ) { ?>
    		<li>
    			<span class="details__title"><?php echo esc_html__( 'date', 'sima' ); ?></span>
    			<span class="details__desc"><?php echo esc_html( $fastwp_sima_date ); ?></span>
    		</li>
            <?php }
            if( !empty( $fastwp_sima_author ) ) { ?>
    		<li>
    			<span class="details__title"><?php echo esc_html__( 'images by', 'sima' ); ?></span>
    			<span class="details__desc"><?php echo esc_html( $fastwp_sima_author ); ?></span>
    		</li>
            <?php } ?>
    	</ul>

    	<div class="gap-25"></div>

        <?php } ?>

    </div>

    <div class="column col-6">
    	<?php the_content(); ?>
    </div>
</div>

<?php $fastwp_sima_gallery_type = get_post_meta( get_the_ID(), 'project_gallery_type', true );
$fastwp_sima_gallery_images = get_post_meta( get_the_ID(), 'project_gallery', true );

if( !empty( $fastwp_sima_gallery_images ) ) {

echo '<div class="gap-100"></div>';

if( $fastwp_sima_gallery_type == 'gallery' ) { ?>

<div class="slider owl-carousel" data-dots="true" data-arrows="true">
    <?php foreach( $fastwp_sima_gallery_images as $fastwp_sima_gallery_image ) {
    echo '<div class="item">
    	<img src="' . esc_url( $fastwp_sima_gallery_image['image'] ) . '" alt="' . esc_attr( $fastwp_sima_gallery_image['title'] ) . '" class="responsive" />
    </div>';
    } ?>
</div>

<?php } else { ?>

<div class="gallery" data-cols="1" data-margin="50">
    <div class="entry reveal">
    	<div class="reveal-content">
            <?php foreach( $fastwp_sima_gallery_images as $fastwp_sima_gallery_image ) { ?>
    		<figure>
    			<img src="<?php echo esc_url( $fastwp_sima_gallery_image['image'] ); ?>" alt="<?php echo esc_attr( $fastwp_sima_gallery_image['title'] ); ?>" class="responsive" />
                <?php if( !empty( $fastwp_sima_gallery_image['title'] ) ) { ?>
    			<figcaption><?php echo esc_html( $fastwp_sima_gallery_image['title'] ); ?></figcaption>
                <?php } ?>
    		</figure>
            <?php } ?>
    	</div>
    </div>
</div>

<?php }
} ?>