<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

if( !is_404() ) {

$fastwp_sima_sp     = fastwp_sima_theme\utils::get_option( 'social_profiles' );
$fastwp_sima_copy   = fastwp_sima_theme\utils::get_option( 'footer_copy' );

if( ( !empty( $fastwp_sima_sp[0] ) ) || !empty( $fastwp_sima_copy ) ) {

?>

<footer class="footer">
    <div class="container text-center">
        <p class="copy">
            <?php echo esc_html( $fastwp_sima_copy ); ?>
        </p>

        <?php if( !empty( $fastwp_sima_sp[0] ) ) { ?>

        <ul class="social">
            <?php foreach( $fastwp_sima_sp as $fastwp_sima_sp1 ) {
                if( !empty( $fastwp_sima_sp1 ) ) {
                    list( $fastwp_sima_sp_icon, $fastwp_sima_sp_link ) = array_map( 'trim', explode( '|', $fastwp_sima_sp1 ) );
                    echo '<li><a href="' . esc_url( $fastwp_sima_sp_link ) . '"><i class="' . esc_attr( $fastwp_sima_sp_icon ) . '"></i></a></li>';
                }
            } ?>
        </ul>

        <?php } ?>
    </div>
</footer>

<?php } else {
    echo '<div class="gap-100"></div>';
}

} ?>

<div class="back2top visible"><i class="fa fa-angle-up"></i></div>
<div class="page__overlay"></div>

<?php wp_footer(); ?>

</body>
</html>
