<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

?>

<?php get_header();

$fastwp_sima_title      = fastwp_sima_theme\utils::get_option( 'fwp_blog_title' );
if( !empty( $fastwp_sima_title ) ) {

$fastwp_sima_index_bg   = fastwp_sima_theme\utils::get_option( 'fwp_blog_bg' ); ?>

<div class="hero small">
    <div class="hero__image" data-bg-color="#f1f1f1"<?php echo ( !empty( $fastwp_sima_index_bg['url'] ) ? ' data-bg="' . esc_url( $fastwp_sima_index_bg['url'] ) . '"' : '' ); ?>></div>
    <div class="hero__content">
        <div class="hero__va">
            <div class="hero__vc" data-pos="bottom">
            	<div class="container<?php echo ( !empty( $fastwp_sima_index_bg['url'] ) ? ' light-content' : '' ); ?>">
            		<span class="hero__subtitle"><?php echo fastwp_sima_theme\utils::get_option( 'fwp_blog_minititle' ); ?></span>
            		<h2><?php echo fastwp_sima_theme\utils::get_option( 'fwp_blog_title' ); ?></h2>
            	</div>
            </div>
        </div>
    </div>
</div>

<?php } ?>

<div class="page__body">
    <div class="container">
	    <div class="row">
            <?php $fastwp_sima_sidebar = fastwp_sima_theme\utils::get_option( 'fwp_blog_sidebar' ); ?>
            <?php if( $fastwp_sima_sidebar == 'left' ) { ?>
            <div class="column col-4">
                <?php get_template_part( 'sidebar' ); ?>
            </div>
            <?php } ?>
            <div class="column col-<?php echo ( !empty( $fastwp_sima_sidebar ) && in_array( $fastwp_sima_sidebar, array( 'left', 'right' ) ) ? 8 : 12 ); ?>">
                <!-- loop -->
                <?php get_template_part( 'loop' ); ?>
                <!-- /loop -->
                <!-- navigation -->
                <?php get_template_part( 'navigation' ); ?>
                <!-- /navigation -->
            </div>
            <?php if( $fastwp_sima_sidebar == 'right' ) { ?>
            <div class="column col-4">
                <?php get_template_part( 'sidebar' ); ?>
            </div>
            <?php } ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>