<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

?>

<?php get_header(); ?>

<div class="page__body">

    <?php if( have_posts() ) {

            while( have_posts() ) {

                the_post(); ?>

                <div class="container">

                    <h2 class="text-center pt-10 pb-10"><?php the_title(); ?></h2>

        			<!-- article -->
        			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                		<div class="post-content clearfix"><?php the_content(); ?></div>
                        <?php wp_link_pages(); ?>

        			</article>
        			<!-- /article -->

                </div>

				<?php if ( comments_open() ) {
				    echo '<div class="container mb-5">';
				    comments_template( '', true ); // Remove if you don't want comments
                    echo '</div>';
                } ?>

        	<?php } ?>

    <?php } else { ?>

    <div class="container">

        <!-- article -->
        <article>

        <h2><?php esc_html_e( 'Sorry, nothing to display.', 'sima' ); ?></h2>

        </article>
        <!-- /article -->

    </div>

    <?php } ?>

</div>

<?php get_footer(); ?>