<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

/* Template Name: Hero Page Boxed Template */

get_header();
the_post();

$fastwp_sima_text_color = get_post_meta( get_the_ID(), 'hero_text_color', true );

if( get_post_meta( get_the_ID(), 'hero_type', true ) == 'full' ) {
    echo '<div class="hero parallax">
    		<div class="hero__image" data-bg="' . esc_url( get_the_post_thumbnail_url() ) . '"></div>
    		<div class="hero__content">
    			<div class="hero__va">
    				<div class="hero__vc" data-pos="center">
    					<div class="container' . ( $fastwp_sima_text_color == 'black' ? '' : ' light-content' ) . '">
    						<div class="row">
    							<div class="column col-8 offset-2 text-center">
    								<h2 class="hero__intro__text">' . wp_kses( get_post_meta( get_the_ID(), 'hero_title', true ), array( 'span' => array( 'class' => array() ) ) ) . '</h2>
    							</div>
    						</div>
    					</div>
    				</div>
    			</div>
    		</div>
    	</div>';
} else {
    echo '<div class="hero small parallax">
    		<div class="hero__image" data-bg="' . esc_url( get_the_post_thumbnail_url() ) . '"></div>
    		<div class="hero__content">
    			<div class="hero__va">
    				<div class="hero__vc" data-pos="bottom">
    					<div class="container' . ( $fastwp_sima_text_color == 'white' ? ' light-content' : '' ) . '">
    						<span class="hero__subtitle">' . esc_html( get_post_meta( get_the_ID(), 'hero_subtitle', true ) ) . '</span>
    						<h2>' . esc_html( get_post_meta( get_the_ID(), 'hero_title', true ) ) . '</h2>
    					</div>
    				</div>
    			</div>
    		</div>
    	</div>';
}

echo '<div class="page__body">
<div class="container">';

the_content();
wp_link_pages();

echo '</div>
</div>';

get_footer();