<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

/* Template Name: Portfolio Template */

get_header();
the_post();

echo '<div class="hero small" data-bg-color="#f1f1f1">
		<div class="hero__content">
			<div class="hero__va">
				<div class="hero__vc" data-pos="bottom">
					<div class="container">
						<span class="hero__subtitle">portfolio</span>
						<h2>' . get_the_title() . '</h2>
					</div>
				</div>
			</div>
		</div>
	</div>';

$fastwp_sima_no_margin = get_post_meta( get_the_ID(), 'portfolio_remove_mt', true );

echo '<div class="page__body' . ( !empty( $fastwp_sima_no_margin ) ? ' fullwidth' : '' ) . '">';

if( class_exists( 'fastwp_sima_shortcodes\Portfolio' ) ) {
    $fastwp_sima_inc_posts = (array) get_post_meta( get_the_ID(), 'portfolio_items', true );
    $fastwp_sima_items  = array();
    if( empty( $fastwp_sima_ing_posts ) ) {
        array_walk( $fastwp_sima_inc_posts, function( $v, $k ) use ( &$fastwp_sima_items ) {
            if( !empty( $v ) ) {
                $fastwp_sima_items[$k] = '';
            }
        } );
    }

    $fastwp_sima_items_pr   = get_post_meta( get_the_ID(), 'portfolio_items_per_row', true );
    $fastwp_sima_boxed      = get_post_meta( get_the_ID(), 'portfolio_boxed', true );
    $fastwp_sima_show_filters= get_post_meta( get_the_ID(), 'portfolio_show_filters', true );

    echo fastwp_sima_shortcodes\Portfolio::shortcode(
        array(
                'iposts'    => ( !empty( $fastwp_sima_items ) ? array_keys( $fastwp_sima_items ) : array() ),
                'items'     => ( !empty( $fastwp_sima_items_pr ) ? (int) $fastwp_sima_items_pr : 4 ),
                'show_filters'  => $fastwp_sima_show_filters,
                'show_container'=> (int) $fastwp_sima_boxed
            )
    );
}

echo '</div>';

get_footer();