<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

$fastwp_background_image = fastwp_sima_theme\utils::get_option( 'fwp_404_image', false );

?>

<?php get_header(); ?>

<div class="hero fullscreen"<?php echo ( $fastwp_background_image ? ' data-bg="' . esc_url( $fastwp_background_image['url'] ) . '"' : '' ); ?>>
    <div class="hero__content">
        <div class="hero__va">
            <div class="hero__vc" data-pos="bottom">
            	<div class="container">
            		<h2><?php echo esc_html__( 'page not found', 'sima' ); ?></h2>
                    <h5><?php esc_html_e( 'Ooops... The page you are looking for could not be found! Please, go back to our home page and start over or contact us if the problem persists.', 'sima' ); ?></h5>
            		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn"><?php echo esc_html__( 'go home', 'sima' ); ?></a>
            	</div>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>
